
#include "equation.h"
#include "chaos.h"

///::title:: Brio Wu shocktube A
///::vars:: NX=100
///::consts:: MAXX=1.5 MAXT=0.5
///::bc:: NEUMANN

void init_cell(PrimitiveVars &v, real x, real y, real z)
{
  if (x < 0.5) {
    v.rho = 1;
    v.u[X] = 1;
    v.p = 1;
    v.B[Y] = 1;
  } else {
    v.rho = 0.3;
    v.u[X] = -1;
    v.p = 0.2;
    v.B[Y] = 0.2;
  }
  v.B[X] = 0.7;
}
