
#include "equation.h"

///::title:: Powell-Magnetic Advection
///::vars:: NX=100
///::consts:: MAXX=1.0 MAXT=1.0
///::bc:: REPEAT

void init_cell(PrimitiveVars &v, real x, real y, real z)
{
  v.rho = 1 + 0.25*sin(6*pi*x);
  v.u[X] = 1;
  v.p = 0.45;
  v.B[X] = 1 - sin(2*pi*x);
  v.B[Y] = 0.5;
}
