
#include "main.h"
#include "chaos.h"

///::title:: Steady state with random initial perturbation (1D version)
///::vars:: NX=512 MAXT=0.1 BED_OFFSET=0.0 BED_SCALING=0.2
///::consts:: MAXX=2 N_UNIFORM=1 N_NORMAL=0
///::macro:: SOURCE_HOOK topography.h compute_source(i,j);
///::bc:: NEUMANN

void init_cell(PrimitiveVars &v, real x, real y, real z)
{
  if (fabs(x - 0.6) < 0.025)
    v.h = 1.01 + 0.005*(2*chaos.uniform[0]-1);
  else
    v.h = 1.0;
}
