
#include "main.h"
#include "chaos.h"

///::title:: Steady state with random initial perturbation (2D version)
///::vars:: NX=128 NY=128 MAXT=0.1 BED_OFFSET=0.0 BED_SCALING=0.4
///::consts:: MAXX=2 MAXY=2 N_UNIFORM=1 N_NORMAL=0
///::macro:: SOURCE_HOOK topography.h compute_source(i,j);
///::bc:: NEUMANN

void init_cell(PrimitiveVars &v, real x, real y, real z)
{
  if (sqrt(sqr(x - 1) + sqr(y - 0.7)) < 0.1)
    v.h = 1.02 + 0.01*(2*chaos.uniform[0]-1);
  else
    v.h = 1.0;
}
