
#include "topography-wavelet.h"

int  J [WL+1];
real C [WL+1];

void wavelet_init (int NXl_full, int NYl_full) {
  
  for (int m=0; m<=WL; m++)
    J[m] = 1<<m;
  
  C[0] = 1.0
  for (int m=1; m<=WL; m++)
    C[m] = pow(m, -WL_DECAY);
}

real wavelet (real x, const int &m, const int &j) {
  
  if (m == 0)
    return 1.0;
  else
    return (real) ( ( ((real)(2*j  ))/J[m] <= x ) && ( x < ((real)(2*j+1))/J[m] ) ) -
           (real) ( ( ((real)(2*j+1))/J[m] <= x ) && ( x < ((real)(2*j+2))/J[m] ) );
}

real char_function (real x, const int &m, const int &j) {
  return (real) ( ( ((real)j)/J[m] <= x ) && ( x < ((real)(j+1))/J[m] ) );
}
