
// Routines for wavelet representations of random bottom topography

#include "numtypes.h"

// number of wavelets in each level
extern int  J [WL+1];

// attenuation coefficient for each level
extern real C [WL+1];

// initializes structures for optimized wavelet evaluation
void wavelet_init (int NXl_full, int NYl_full);

// returns value of the j-th wavelet at the level m
real wavelet (real x, const int &m, const int &j);

// returns value of the j-th characteristic function at the level m
real char_function (real x, const int &m, const int &j);
