
#ifndef TOPOGRAPHY_H
#define TOPOGRAPHY_H

#include "numtypes.h"

// defined in corresponding topography_*.cpp

real b      (real x, real y);

// defined in topography.cpp

real get_b            (const int &i, const int &j);     // evaluation of topography: uses either midpoint or interface values

real b_cell_center    (const int &i, const int &j);     // midpoint interpolation
real b_cell_interface (const int &i, const int &j);     // left interface interpolation

void compute_source   (const int &i, const int &j);

#endif
